Tilemap = {}

function Tilemap:Create(atlas, tiles, x, y, level, tileWidth, tileHeight)
	o = {}
	setmetatable(o, self)
	self.__index = self

	self.tileWidth = tileWidth
	self.tileHeight = tileHeight
	self.level = level
	self.atlas = atlas
	self.tiles = tiles
	self.tilemapX = x
	self.tilemapY = y
	self.previousX = player.x
	self.previousY = player.y
	return o
end
function Tilemap:checkCollision(dt)
	local x = 0
	local y = 0
	print('playerY', player.y)
	print('playerX', player.x)
	player.blockRight = false
	player.blockLeft = false
	player.blockUp = false
	player.blockDown = false
	
	for k = 1, #self.level do
        	for j = 1, #self.level[1] do
			if player.x < self.tilemapX + x + self.tileWidth and player.x + player.width > self.tilemapX and player.y < self.tilemapY + y + self.tileHeight and player.y + player.height > self.tilemapY + y then
				player.x = self.previousX
				player.y = self.previousY
			else
			self.previousX = player.x
			self.previousY = player.y
			--	self.blockRight = false
        		--	self.blockLeft = false
        		--	self.blockUp = false
        		--	self.blockDown = false
			end
			x = x + self.tileWidth
		end
		x = 0
		y = y + self.tileHeight
	end

end

function Tilemap:draw()
			local x = 0
			local y = 0
			for k = 1, #self.level do
				for j = 1, #self.level[1] do
					for i = 1, #self.tiles do
						if self.level[k][j] == i then
							if self.tilemapX + x <= player.x + SCREEN_WIDTH/2 and self.tilemapX + x >= player.x - SCREEN_WIDTH/2 and self.tilemapY + y + self.tileHeight >= 0 and self.tilemapY + y <= SCREEN_HEIGHT then
								love.graphics.draw(self.atlas, self.tiles[i].quad, math.floor(self.tilemapX + x), math.floor(self.tilemapY + y))
							end
						end
					end
					x = x + self.tileWidth
				end
				x = 0
				y = y + self.tileHeight
			end
end
