require 'src/Dependencies'

function love.load()
	love.window.setMode(SCREEN_WIDTH, SCREEN_HEIGHT)
	statemachine = StateMachine:Create({
		['menustate'] = MenuState,
		['playstate'] = PlayState
	})

	statemachine:change("menustate")
end

function love.update(dt)
	function love.keypressed(key)
		if key == 'escape' then
			love.event.quit()	
		elseif key == 'return' then
			statemachine:change('playstate')
		end
	end
		statemachine:update(dt)
end

function love.draw()
		--print(tiles[1].id)	
		--love.graphics.draw(img, tiles[2].quad, 551, 1)
		statemachine:render()
end

