Tile = {}

function Tile:Create(id, quad, width, height)
	local this = 
	{
		id = id,
		width = width, 
		height = height, 
		quad = quad
	}
	return this
end

--make table of tiles
function createTiles(atlas, tileWidth, tileHeight)
	local tiles = {}
	local id = 1
	for y = 0, atlas:getHeight(), tileHeight do
		for x = 0, atlas:getWidth(), tileWidth do
			local quad = love.graphics.newQuad(x, y, tileWidth, tileHeight, atlas:getDimensions())
			table.insert(tiles, Tile:Create(id, quad, tileWidth, tileHeight))

			id = id + 1
		end                                                                                   
	end
	return tiles
end
