--function PlayState()
	--player.x = player.x + 50
--end

PlayState = 
{
	load = function()
		player = Player:Create("graphics/Player.png", SCREEN_WIDTH/2 - 300, SCREEN_HEIGHT/2)
		player:changestate('walkstate')
		camera = Camera:Create()
        	
		img = love.graphics.newImage('graphics/tiles.png')
		tiles = createTiles(img, 17, 17)
   		level = 
		{
			{1}
		}
		tilemap = Tilemap:Create(img, tiles, 500, 100, level, 17, 17)
	end,

	update = function(self, dt)
		--print('x: ', math.floor(player.x), 'y: ', math.floor(player.y))
		--print('blockRight: ', player.blockRight, 'blockLeft: ', player.blockLeft, 'blockUp: ', player.blockUp, 'blockDown: ', player.blockDown)
		for k, v in pairs(gameobjects) do
			if gameobjects[k].isSolid then--make it solid
				if isCollided(player, gameobjects[k]) then
				
					if player.x <= gameobjects[k].x then
						player.dX = 0
					elseif player.x >= gameobjects[k].x then
						player.dX = 0
					elseif player.y < gameobjects[k].y then
						player.dY = 0
					elseif player.y > gameobjects[k].y then
						player.dY = 0
					else
						player.dX = PLAYERSPEED
						player.dY = GRAVITY
				end
			end
			else--for something like a coin for example.
				if isCollided(player, gameobjects[k]) then	
					gameobjects[k]:doAction()
				end
			end
		end
	tilemap:checkCollision(dt)
	player:update(dt)
	camera:updatePosition(dt, -player.x + SCREEN_WIDTH/2, 0)--set the camera to the players coordinates
	end,


	render = function()
		camera:move()--move the camera 
		player:draw()
		tilemap:draw()
		for k, v in pairs(gameobjects) do
			if gameobjects[k].x <= player.x + SCREEN_WIDTH/2 + 3 and gameobjects[k].x + gameobjects[k].width >= player.x - SCREEN_WIDTH/2 - 3 and gameobjects[k].y <= SCREEN_HEIGHT and gameobjects[k].y + gameobjects[k].height >= 0 then--draw if the gameobjects can be seen with the camera
				gameobjects[k]:draw()
			end
		end
end												
}

